mscorlib [00 00 00 00 00 00 00 00 04 00 00 00 00 00 00 00] 1.0.5000.0 2.0.0.0 4.0.0.0 Gtk# is thread aware, but not thread safe; See the <link location="node:gtk-sharp/programming/threads">Gtk# Thread Programming</link> for details. System.Runtime.InteropServices.ComVisible(true)

The interface is exposed by the property contributed to a context by an attribute. By default, it is also implemented by the base class, from which attribute classes can extend.

Gathers naming information from the context property and determines whether the new context is ok for the context property.

- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Void ``

  Context properties cannot be added after the context has been frozen.

  Called when the context is frozen.

  The context to freeze.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Boolean ``

  Once all the context properties have been added to the new context, they are all queried as to whether they are okay in the new context. The context property could look at the other context properties from and determine whether it is compatible with these other context properties.

  Returns a Boolean value indicating whether the context property is compatible with the new context.

  true if the context property can coexist with the other context properties in the given context; otherwise, false.

  The new context in which the has been created.
- Property
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.String To be added: an object of type 'string' To be added

  Gets the name of the property under which it will be added to the context.